CC= gcc
RANLIB= ranlib
CFLAGS= -Wall -I../ClearSilver -I../include

INSTALLDIR= ../

OBJS =  shared_add_student.o shared_add_util.o shared_authenticate.o shared_central_user.o \
	shared_clipboard_util.o shared_delete.o shared_grades_util.o shared_hotpot_exam_util.o\
	shared_hotpot_parser.o shared_lock.o shared_login.o   shared_news_util.o\
	shared_person_list.o shared_post_inbox.o shared_post_outbox.o shared_potato_util.o shared_read_infofile.o\
	shared_login_logs.o shared_super_list.o\
	shared_super_util.o shared_unread.o shared_update_user_info.o shared_user_index.o\
	shared_util.o shared_copy_file.o shared_translate_url.o shared_server_locked.o\
	shared_strtrm.o shared_file_util.o shared_cookie.o shared_new_course_lock.o shared_time.o\
	shared_survey_string.o shared_survey_info_list_parser.o shared_survey_util.o\
        shared_survey_xml_parser.o shared_survey_read_param.o shared_survey_modify.o\
        shared_record_parser.o shared_survey_update_info.o shared_survey_record_html_parser.o\
	shared_encrypt.o shared_server_string.o shared_escape_realname.o\
	shared_roster_xml_parser.o   shared_access.o shared_search_profile.o\
	shared_central_log.o shared_bio.o\
	shared_survey_log.o shared_survey_path_util.o shared_survey_deliver_list.o \
	shared_survey_page.o shared_survey_bar_graph.o shared_survey_take_verify.o\
	shared_survey_submit.o shared_survey_table.o shared_survey_reuse_util.o shared_spelling_util.o\
	shared_cs_util.o shared_survey_www_util.o shared_grade_book_release.o  shared_grade_book_util.o\
	shared_grade_book_view.o shared_points_value.o  shared_super_key.o\
	shared_cs_course_search.o shared_calendar_util.o shared_course_search.o \
	shared_calendar_util.o shared_msg_line.o  shared_fold_file.o \
	shared_teamstring.o shared_super_menu.o shared_bb_examview.o shared_calendar_event.o\
	shared_bb_dat_parser.o shared_bb_manifest.o shared_course_info.o shared_xml_course_create_util.o\
	shared_course_request_xml.o shared_copy_tab_file.o shared_wnec_roster_log.o shared_drop_add_list.o\
	shared_podcast_util.o  shared_mime_type.o shared_mp3_util.o shared_grade_book_menu.o shared_grade_book_db.o\
	shared_grade_book_calculation_util.o shared_grade_book_bar_graph_util.o






LIB = libmanhat.a


# targets


$(LIB): $(OBJS)
	ar cr $@ $(OBJS)
	$(RANLIB) $@

install: $(LIB)
	cp -f $(LIB) $(INSTALLDIR)

clean:
	rm -f *.o $(LIB) *~


